Emails
This is a service for consulting Brazilian people. This feature queries the e-mail addresses related to the CPF provided and returns the data received in the same request.
There are two other possible responses for status code 200: Within serviceData, it may contain only the message attribute with the values: "The CPF does not exist in the Receita Federal database." or "This CPF belongs to a minor. The request can't be processed for legal reasons."
The PF Emails service returns the list of e-mail addresses related to the provided CPF.
Permission required: Create Services
Your access token. See more in the 'Authentication' topic of this section.
The name of the requested service, for PF Emails needs to be "pf_emails"
pf_emailsAll fields passed to the metadata will be returned in the response, this field is useful to bring an internal identifier of the request for example
Success
Invalid provided body
Invalid token
The token does not have permission to access this resource
Internal server error
POST /v1/services/ HTTP/1.1
Host: api.us.prd.caf.io
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 90
{
"service": "pf_emails",
"parameters": {
"cpf": "text",
"birthDate": "14/02/2010"
},
"metadata": {}
}{
"requestId": "text",
"message": "text",
"data": {
"service": "pf_emails",
"serviceData": {
"emails": [
{
"email": "[email protected]",
"type": "personal",
"firstPassageDate": "2018-01-01T00:00:00Z",
"lastPassageDate": "2025-01-01T00:00:00Z"
}
]
},
"metadata": {}
}
}Last updated

